<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:background="@color/lightblue">

    <TextView
        android:id="@+id/mine_"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="我的"
        android:textSize="30dp"
        android:gravity="center"
        tools:ignore="MissingConstraints" />

    <TextView
        android:id="@+id/userphoto"
        android:layout_width="100dp"
        android:layout_height="100dp"
        app:layout_constraintTop_toBottomOf="@+id/mine_"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:background="#0000ff" />

    <Button
        android:id="@+id/sign"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginTop="20dp"
        android:textSize="20dp"
        android:text="登录"
        app:layout_constraintTop_toBottomOf="@id/userphoto"
        android:background="@drawable/btn_selector"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/map_"
        android:layout_width="0dp"
        android:layout_height="90dp"
        app:layout_constraintWidth_percent="0.333"
        android:background="@color/darkturquoise"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="地图"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/classtable"
        android:layout_width="0dp"
        android:layout_height="90dp"
        app:layout_constraintWidth_percent="0.333"
        android:background="@color/darkturquoise"
        app:layout_constraintLeft_toRightOf="@id/map_"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="课表"
        tools:ignore="MissingConstraints" />

    <Button
        android:id="@+id/Myself"
        android:layout_width="0dp"
        android:layout_height="90dp"
        app:layout_constraintWidth_percent="0.333"
        android:background="@color/darkturquoise"
        app:layout_constraintLeft_toRightOf="@id/classtable"
        app:layout_constraintBottom_toBottomOf="parent"
        android:text="我的"
        tools:ignore="MissingConstraints" />

</androidx.constraintlayout.widget.ConstraintLayout>